unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, XPMan, StdCtrls, DebenuPDFLibrary1011;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    Label3: TLabel;
    Edit3: TEdit;
    Label4: TLabel;
    Edit4: TEdit;
    Button1: TButton;
    Button2: TButton;
    Label5: TLabel;
    Edit5: TEdit;
    Label6: TLabel;
    Edit6: TEdit;
    Label7: TLabel;
    Edit7: TEdit;
    Label8: TLabel;
    Edit8: TEdit;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Button3: TButton;
    Label9: TLabel;
    edtLicenseKey: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  OpenDialog1.Title := 'Select file for InputFileName';
  OpenDialog1.Filter := 'PDF Files (*.pdf)|*.pdf';
  if OpenDialog1.Execute then
    Edit1.Text := OpenDialog1.FileName;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  OpenDialog1.Title := 'Select file for PFXFileName';
  OpenDialog1.Filter := 'PKCS #12 Files (*.pfx, *.p12)|*.pfx;*.p12';
  if OpenDialog1.Execute then
    Edit3.Text := OpenDialog1.FileName;
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  QP: TDebenuPDFLibrary1011;
  I: Integer;
  Msg: string;
begin
  Msg := '';
  if SaveDialog1.Execute then
  begin
    QP := TDebenuPDFLibrary1011.Create;
    try
      QP.UnlockKey(edtLicenseKey.Text);
      I := QP.SignFile(Edit1.Text, Edit2.Text, Edit5.Text, SaveDialog1.FileName, Edit3.Text, Edit4.Text, Edit6.Text, Edit7.Text, Edit8.Text);
      Msg := 'SignFile result = ' + IntToStr(I) + ' "';
      case I of
        1: Msg := Msg + 'The file was signed successfully';
        2: Msg := Msg + 'Input PDF not found';
        3: Msg := Msg + 'Input PDF cannot be read';
        4: Msg := Msg + 'Input PDF password incorrect';
        5: Msg := Msg + 'Certificate file not found';
        6: Msg := Msg + 'Certificate file is invalid';
        7: Msg := Msg + 'Incorrect certificate password';
        8: Msg := Msg + 'Unknown certificate format';
        9: Msg := Msg + 'No private key found in certificate file';
        10: Msg := Msg + 'Could not write output file';
        11: Msg := Msg + 'Could not apply signature';
      end;
      Msg := Msg + '"';
      ShowMessage(Msg);
    finally
      QP.Free;
    end;
  end;
end;
end.
